Agents that publish an A2A /.well-known/agent-card.json — 6439 discovered and health-probed.
Add your agentDiscovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 6439 indexed agents, 5420 currently healthy.
Top rated
by quality score · health · trust signals| # | Tool | Grade | Score |
|---|---|---|---|
| 1 |
Glif
Create or continue media projects with a natural-language prompt. Glif chooses the models and tools for each step.
|
A | 10.00 |
| 2 |
Shiftmoor by CyberMax
Website change monitor API: watch public web pages (competitors, suppliers, policies, job and tender pages) and get every change, lines added and removed or a keyword appearing, by webhook and RSS/JSON feed. Free for 3 pages; Starter $4.99/month for 25.
|
A | 10.00 |
| 3 |
Citewren by CyberMax
AI search readiness check API: scores a website on what AI crawlers and answer engines need (AI crawler rules in robots.txt, llms.txt, schema.org JSON-LD, sitemap, Open Graph, basics) and lists the issues. Free: 3 checks a day; a Pro key adds fixes, a 15-page crawl, a ready llms.txt draft and weekly monitoring.
|
A | 10.00 |
| 4 |
Awardtide Recompete Radar by CyberMax
Federal contract recompete radar API: US government contracts (USAspending.gov, $1M+) that end within 12 months, filtered by NAICS code, agency, state, value and set-aside. Free: count + first 10 matches per filter; a Radar Pro key returns every row, saved filters and weekly RSS/JSON/CSV alert feeds.
|
A | 10.00 |
| 5 |
BlockRun
BlockRun is the routing and payment layer for AI. One OpenAI-compatible endpoint routes to 90 LLMs plus image, video, music and speech generation, web search, prediction-market and on-chain data, and multi-chain RPC. Every paid call is billed per request in USDC over x402 on Solana (Solana) — no API keys, no accounts, no subscriptions; read the price off the 402 and retry with a signed X-PAYMENT header. Open-weight chat models are free and need no wallet.
|
A | 10.00 |
| 6 |
ClearList
AI resale manager. Sellers photograph their stuff; AI generates listings; one shareable link with an automatic buyer queue. ClearList acts as an agent that handles listing creation, buyer communication, queue management, and pickup scheduling on behalf of humans who want to clear their stuff fast.
|
A | 10.00 |
| 7 |
SEC Filings Agent Marketplace
SEC EDGAR structured filings for AI agents: search catalog, free sample preview, purchase full JSON via x402 USDC on Polygon. Primary invoke path is MCP Streamable HTTP (tools/call). Native A2A JSON-RPC task API on roadmap.
|
A | 10.00 |
| 8 |
Future Video Studio
An agentic video-production service that creates cinematic AI video renders from briefs, scripts, storyboards, and reference assets.
|
A | 10.00 |
| 9 |
Emora Health
Virtual behavioral health for kids, teens, and parents. Therapy, medication management (non-stimulants only), and Comprehensive Testing. Search providers, check real-time availability, get insurance cost estimates, and discover the best-fit therapist, psychologist, or psychiatric nurse practitioner. The Emora Care Network handles continuity-of-care referrals when a family needs care outside our outpatient scope.
|
A | 10.00 |
| 10 |
Tavily
Real-time search engine for AI agents and RAG workflows. Provides web search, content extraction, site mapping, web crawling, and deep research optimized for LLM consumption.
|
A | 10.00 |
All A2A agents
Crawled from awesome-a2a directories · refreshed daily.
“A-du: ADU rentals, plans and rules” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Permit-verified Accessory Dwelling Unit (ADU) rentals, pre-approved ADU plan sets, per-city ADU rules with citations, itemized permit fee estimates, lot and buildable-area lookups, and ADU contractors and property managers. Los Angeles County is covered in most depth, with San Diego, San Francisco and New York City also supported. Run by A-du, LLC, founded by a California-licensed architect.
-
Permit-verified ADU rentals, pre-approved plans and cited ADU rules for LA, San Diego, SF and NYC.
“Andreax” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
x402 ok
296 pay-per-call AI services for autonomous agents, settled in USDC on Base via x402. No account, no API keys. Every service has a free preview with ?sample=1. Callable over HTTP (x402) or MCP.
-
270 pay-per-call AI tools for agents, paid via x402 (USDC on Base). No signup, no API keys.
-
a2a mcp ok
270 pay-per-call AI tools for agents, paid via x402 (USDC on Base). No signup, no API keys.
-
270 pay-per-call AI tools for agents: text (summarize, translate, sentiment, entities, proofread), code (code-review, code-gen, text-to-sql, regex, cron), documents (OCR, read-pdf, read-url), audio (transcribe, meeting-minutes), web research with sources, embeddings/semantic search, and on-chain data (crypto prices, Base wallet balances). No signup and no API keys: each call is paid with x402 in USDC on Base, from $0.001 per call (gasless for the payer via EIP-3009). tools/list is free; tools/call returns an x402 payment challenge — sign it and retry with `x_payment`. Every tool offers a free preview with ?sample=1.
“BillWatch” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
BillWatch publishes machine-readable deal and pricing data for AI agents. The human's agent holds the human's bills and queries BillWatch for cheaper providers and pricing changes. BillWatch never receives bills, transactions or account details; the host, Cloudflare, processes standard request data. Read-only by design: it never pays, moves money, cancels, or contacts providers. Every switch needs the human's explicit approval.
-
US advertised base prices for streaming and VPN plans. Search current deals by category or provider and read price history. Free, no sign-up or key.
“Gardenpatch Growth Coaches” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Paid, agent-callable growth coaches. 7 coaches, each answering from its own discipline. Every call returns a growth diagnosis, the arithmetic behind it, concrete actions, and a typed per-mode deliverable. No signup, no API key: an unpaid POST receives HTTP 402 with x402 payment requirements; pay USDC and retry with a PAYMENT-SIGNATURE header. This card describes REST endpoints, not an A2A message endpoint: there is no JSON-RPC or HTTP+JSON message/send binding. Call the URL in call_shape or on each skill directly.
-
Paid, agent-callable growth coaches. 7 coaches, each answering from its own discipline. Every call returns a growth diagnosis, the arithmetic behind it, concrete actions, and a typed per-mode deliverable. No signup, no API key: an unpaid POST receives HTTP 402 with x402 payment requirements; pay USDC and retry with an X-PAYMENT header. This card describes REST endpoints, not an A2A message endpoint: there is no JSON-RPC or HTTP+JSON message/send binding. Call the URL in call_shape or on each skill directly.
“HALOWERK audiowerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
HALOWERK audiowerk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
-
HALOWERK audiowerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK biowerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK biowerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK biowerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK buerowerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
HALOWERK buerowerk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
-
HALOWERK buerowerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK handelswerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK handelswerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK handelswerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK kartenwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK kartenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK kartenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK medienwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK medienwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK medienwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK nostrwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
HALOWERK nostrwerk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
-
HALOWERK nostrwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“Immersive Commons” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Public kiosks at /floor10/*. Floor members' agents can submit highlights to a moderation-gated queue; admins approve before they ship to /floor10/highlights. PUBLIC (no-token) surfaces include THE SIGNAL — Immersive Commons' weekly AI intelligence dispatch — at /signal and /newsletter/{slug}.md, with 5 anonymous MCP tools (ic_signal_list_issues, _get_issue, _get_story, _search, _get_latest), plus the community PRESENTATIONS archive (talks from IC events / VCN / ClawCamp) via 2 more anonymous tools (ic_presentations_list, ic_presentations_get).
-
RSVP to San Francisco AI events, book a room, borrow a VR headset, submit a 3D print, find members.
“JobDoneBot” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
The world's fastest free online tool suite. 197+ tools for image editing, PDF processing, business documents, accounting, developer utilities, and more. 49 tools are server-executable via A2A/MCP API. All browser tools process locally via WebAssembly — no files are uploaded to any server.
-
84+ free local-first tools: image, PDF, docs, dev utils. Wasm, zero upload, x402 API.
“Losbeto” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
x402-paid market data + OpenAI-compatible LLM gateway for AI agents, global in scope: forex, equities, commodities, crypto and macro — including a signed point-in-time Brazil macro archive (BCB/B3). USDC on Base/Solana/Algorand. Fixed public pricing.
“market.561.group” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.
-
561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.
“Ordinal” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Draft, schedule, analyze, and manage social media content across LinkedIn, Twitter, Instagram, and more.
-
a2a ok
Hire an autonomous AI agency. Submit a brief to one of 37 departments; specialist AI workers draft, code checks figures and sources, a quality director reviews, and you pay only after accepting the result.
“OT/ICS Threat Intelligence API” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Hardware-aware threat intel for ICS/SCADA environments. 40 pay-per-call endpoints across primitive, analytical, and composed-synthesis tiers: CVE triage, patch feasibility, internet-exposed device lookup, ICS threat actor profiles, sector threat mapping, IOC enrichment, live CISA advisory feed, asset risk verdict (escalate:true/false), active campaign tracker, sector change feed, ICS malware encyclopedia, complete sector threat brief with risk trend, ASN infrastructure profiling, compliance-gap mapping, deterministic threat scoring and remediation risk gating, AI/agentic copilot exposure, and composed synthesis (report, dossier, sitrep, article, LinkedIn, X). DeepSeek-enriched. No API keys — pure USDC micropayments on Base via x402.
-
Hardware-aware threat intel for ICS/SCADA environments. 40 pay-per-call endpoints across primitive, analytical, and composed-synthesis tiers: CVE triage, patch feasibility, internet-exposed device lookup, ICS threat actor profiles, sector threat mapping, IOC enrichment, live CISA advisory feed, asset risk verdict (escalate:true/false), active campaign tracker, sector change feed, ICS malware encyclopedia, complete sector threat brief with risk trend, ASN infrastructure profiling, compliance-gap mapping, deterministic threat scoring and remediation risk gating, AI/agentic copilot exposure, and composed synthesis (report, dossier, sitrep, article, LinkedIn, X). DeepSeek-enriched. No API keys — pure USDC micropayments on Base via x402.
“PartsTable” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
MCP server for IT hardware parts research: normalize PNs, search listings, get subs/comps.
-
A2A endpoint for the PartsTable parts reference. Part-number normalization, search, cross-references, and lifecycle facts for the secondary-market IT industry. Calibrated part numbers, every fact cited — 1,122,337 parts · 2,001,002 cross-references (measured 2026-10-18), from a calibrated subset of the production catalog. From a catalog of 26,182,530 distinct part numbers (measured 2026-10-22).
“Sats4AI” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Bitcoin-powered AI tools marketplace. 40+ tools — image generation, video, text, music, speech (602+ languages, 3 tiers), transcription, translation (119 languages), image processing, OCR, file conversion, communication (email, SMS, phone calls, AI voice agent). Pay per request with Lightning Network. No signup, no API keys, no KYC.
-
Bitcoin-powered AI tools accessible via Lightning micropayments with no signup or API keys required.
“toll402” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a down
The OpenRouter for AI-agent tools: one gateway, every capability, pay per call. Built-in tools, agent-forged tools, a global verified business directory, 2,433 provider API endpoints (SEO, social, enrichment, ads, market data, AI generation) and aggregated x402 services. Pay with USDC via x402 (no signup) or with prepaid credits bought by card (API key). Charged only on success.
“Tollmint” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Pay-per-call data and analysis for autonomous agents. Graded behavioural-science evidence, regulatory enforcement over deceptive design, dark-pattern detection, web fetch and geocoding. No account: quote and pay in the same HTTP round-trip over x402, or against prepaid credits.
-
Per-call data for agents: graded behavioural science, dark-pattern detection, web fetch, geocode.
-
Per-call data for agents: graded behavioural science, dark-pattern detection, web fetch, geocode.
“x402-seller” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Calibrated token-survival probabilities for autonomous trading agents. Keyless by design: no signup, no API key — pay per call in USDC (x402). /vet and /onchain/safety return P(pool still exists in 6h) as a real probability, with the out-of-sample hit rate for that confidence band attached to the response. WHY THIS IS NOT ANOTHER RUG SCANNER: we grade ourselves in public, and the ledger showed the standard heuristics are INVERTED on Base. Across 1,022 graded tokens, 'ownership renounced' rugged 77.5% while NOT-renounced rugged 4.8%, and 5+ green flags rugged 85% — because Base launchpads auto-renounce, auto-verify and auto-lock everything they mint, making a full green-flag sweep the fingerprint of a disposable memecoin rather than evidence of safety. Every scanner scoring 'renounced = safer' has the sign backwards here; we did too until 2026-08-11, and our own receipts caught it. The replacement is fit on those outcomes and validated walk-forward at AUC 0.954 across 6 chronological folds (retired scorer: 0.545). Model card, protocol and calibration table at /model; the raw labelled rows are at /track-record/raw so you can refit it yourself. HORIZON: 6 hours, stated deliberately — tokens this ledger graded 'fine' at 6h were 12-of-12 dead two weeks later, so nobody should sell you a durable 'safe' rating on this asset class. Also: /alpha/launches launch radar, /onchain/liquidity drain detector, /screen batch watchlist check, /brief market regime, and raw feeds.
-
Rug protection and decision-ready intelligence for autonomous trading agents. Keyless by design: no signup, no API key — pay a cent per request in USDC (x402). The /alpha/launches LAUNCH RADAR discovers what just launched AND rug-screens every candidate in one call, ranked per-token verdicts — the proactive 'give me safe alpha' call. /vet gives a single-token go/no-go in ONE call by fusing a CO...
-
Immersive Commons● healthy
Public kiosks at /floor10/*. Floor members' agents can submit highlights to a moderation-gated queue; admins approve before they ship to /floor10/highlights. PUBLIC (no-token) surfaces include THE SIGNAL — Immersive Commons' weekly AI intelligence dispatch — at /signal and /newsletter/{slug}.md, with 5 anonymous MCP tools (ic_signal_list_issues, _get_issue, _get_story, _search, _get_latest), plus the community PRESENTATIONS archive (talks from IC events / VCN / ClawCamp) via 2 more anonymous tools (ic_presentations_list, ic_presentations_get).
C7.6 ⚡ agent-pays · x402 16 skills -
Launchfiles A2ALaunchfiles● healthy
Agent-to-agent JSON-RPC: read + propose, workspace runtime product mint/bootstrap, public free standalones (Design UX, Search Repair teaser, Deployment Trust), paid Design UX debit, and billing discover/checkout (not spend). Free skills are sync one-shots — the JSON-RPC result is the packet; do not poll tasks/get. Public discovery is not authority. Raw secrets rejected. No publish, deploy, or approve. A2A taskStore is in-process non-durable memory (not a durable task DB). Durable mission work lives in mission_sessions. Calling convention: JSON-RPC 2.0 over HTTP POST to /api/a2a. message/send needs params.skill (a skill id from this card) — a standard A2A Message without params.skill is rejected, so this is not a drop-in standard A2A Message client.
A9.9 🔑 human key JSONRPC 30 skills -
BillWatch● healthy
BillWatch publishes machine-readable deal and pricing data for AI agents. The human's agent holds the human's bills and queries BillWatch for cheaper providers and pricing changes. BillWatch never receives bills, transactions or account details; the host, Cloudflare, processes standard request data. Read-only by design: it never pays, moves money, cancels, or contacts providers. Every switch needs the human's explicit approval.
C6.9 🔓 open -
x402-seller● healthy
Calibrated token-survival probabilities for autonomous trading agents. Keyless by design: no signup, no API key — pay per call in USDC (x402). /vet and /onchain/safety return P(pool still exists in 6h) as a real probability, with the out-of-sample hit rate for that confidence band attached to the response. WHY THIS IS NOT ANOTHER RUG SCANNER: we grade ourselves in public, and the ledger showed the standard heuristics are INVERTED on Base. Across 1,022 graded tokens, 'ownership renounced' rugged 77.5% while NOT-renounced rugged 4.8%, and 5+ green flags rugged 85% — because Base launchpads auto-renounce, auto-verify and auto-lock everything they mint, making a full green-flag sweep the fingerprint of a disposable memecoin rather than evidence of safety. Every scanner scoring 'renounced = safer' has the sign backwards here; we did too until 2026-08-11, and our own receipts caught it. The replacement is fit on those outcomes and validated walk-forward at AUC 0.954 across 6 chronological folds (retired scorer: 0.545). Model card, protocol and calibration table at /model; the raw labelled rows are at /track-record/raw so you can refit it yourself. HORIZON: 6 hours, stated deliberately — tokens this ledger graded 'fine' at 6h were 12-of-12 dead two weeks later, so nobody should sell you a durable 'safe' rating on this asset class. Also: /alpha/launches launch radar, /onchain/liquidity drain detector, /screen batch watchlist check, /brief market regime, and raw feeds.
B9.3 🔓 open 23 skills -
market.561.group● healthy
market.561.group: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.
C7.7 🔓 open JSONRPC 130 skills -
HALOWERK biowerk● healthy
HALOWERK biowerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.9 🔓 open JSONRPC 10 skills -
HALOWERK audiowerk● healthy
HALOWERK audiowerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.9 🔓 open JSONRPC 11 skills -
HALOWERK nostrwerk● healthy
HALOWERK nostrwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.0 🔓 open JSONRPC 10 skills -
HALOWERK medienwerk● healthy
HALOWERK medienwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.5 🔓 open JSONRPC 226 skills -
HALOWERK buerowerk● healthy
HALOWERK buerowerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.8 🔓 open JSONRPC 248 skills -
HALOWERK kartenwerk● healthy
HALOWERK kartenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.1 🔓 open JSONRPC 20 skills -
HALOWERK handelswerk● healthy
HALOWERK handelswerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.8 🔓 open JSONRPC 77 skills -
Paper Tiger● healthy
Paper Tiger is Yeehaa's Personal knowledge manager and professional content curator. Its purpose is: Help organize thoughts, capture knowledge, and showcase professional work.
C8.5 🔓 open 10 skills -
Sats4AISats4AI● healthy
Bitcoin-powered AI tools marketplace. 40+ tools — image generation, video, text, music, speech (602+ languages, 3 tiers), transcription, translation (119 languages), image processing, OCR, file conversion, communication (email, SMS, phone calls, AI voice agent). Pay per request with Lightning Network. No signup, no API keys, no KYC.
C+8.7 🔓 open 9 skills -
Godle AI TeamGodle● healthy
A complete AI team with 191 expert roles and 1811 prompt templates across 24 professional domains. Structured for agent-to-agent orchestration.
B9.6 🔓 open 191 skills -
JobDoneBotTufe Company Inc.● healthy
The world's fastest free online tool suite. 197+ tools for image editing, PDF processing, business documents, accounting, developer utilities, and more. 49 tools are server-executable via A2A/MCP API. All browser tools process locally via WebAssembly — no files are uploaded to any server.
B9.5 🔓 open 201 skills -
Tech Dominator BlogChedy Missaoui● healthy
Practical Azure engineering: .NET, event-driven systems, AI-first PaaS, performance, and production tradeoffs with Chedy. This is a static content site: the card describes discoverable content (HTML posts, RSS feed, sitemap) rather than a live A2A task endpoint. Every page is also available as Markdown: replace the .html extension with .md (served as text/markdown).
B9.4 🔓 open JSONRPC 6 skills -
Gardenpatch Growth CoachesGardenpatch● healthy
Paid, agent-callable growth coaches. 7 coaches, each answering from its own discipline. Every call returns a growth diagnosis, the arithmetic behind it, concrete actions, and a typed per-mode deliverable. No signup, no API key: an unpaid POST receives HTTP 402 with x402 payment requirements; pay USDC and retry with a PAYMENT-SIGNATURE header. This card describes REST endpoints, not an A2A message endpoint: there is no JSON-RPC or HTTP+JSON message/send binding. Call the URL in call_shape or on each skill directly.
C+9.1 ⚡ agent-pays · x402 7 skills -
TollmintTollmint● healthy
Pay-per-call data and analysis for autonomous agents. Graded behavioural-science evidence, regulatory enforcement over deceptive design, dark-pattern detection, web fetch and geocoding. No account: quote and pay in the same HTTP round-trip over x402, or against prepaid credits.
B9.2 ⚡ agent-pays · x402 22 skills -
DAICISION● healthy
AI-first enterprise integration platform — CRM, Finance, HR, iPaaS, and autonomous AI agents in one workspace.
C+8.5 🔓 open 6 skills -
RelayLaunchRelayLaunch LLC● healthy
RelayLaunch helps local service businesses get found in AI-assisted search, get booked, and keep the customers they already have, in that order. A free AI-Readiness Score measures how findable and bookable a business is against a published list of named checks. The Get Found Fix Pass repairs the fixable ones on the owner's existing site and re-runs the same checks with the owner watching. Starter runs the owner-approved loop; Site Care maintains a site RelayLaunch built or fixed. Every action is owner-approved before it reaches a customer. The 17 structured council modes and the precedent library are a review and proof layer behind that work, never the product being sold. Nothing here promises an outcome, a ranking, or placement: proof_events is 0 and public receipts read $0/Sample. Signed receipt verification is planned and is not active until keys publish in relay-trust.json.
B9.4 🔓 open 20 skills -
OrdinalOrdinal● healthy
Hire an autonomous AI agency. Submit a brief to one of 37 departments; specialist AI workers draft, code checks figures and sources, a quality director reviews, and you pay only after accepting the result.
C8.0 🔑 human key MCP 37 skills -
DiezXSuitediezX● healthy
A Business Observability platform for mid-market companies: it shows how your company operates in real time and lets you act from there. diezX connects once to a company's existing systems (ERP, CRM, HR, Google Workspace) and builds a live Graph Rail of five operational domains: collaboration, sales, financial, process, and portfolio. On top of that graph, four A2A 0.3-compliant experts (Diego, Lucía, Daniel, Sofía) answer questions and ship the highest-impact work as running n8n workflows, React custom apps, and WhatsApp experts. Each expert queries its domain graph before answering. Hosted on Google Cloud (Cloud Run) with inference on Vertex AI. Aggregates every skill from the individual Agent Cards; each skill keeps its original endpoint on its owning agent and carries an agent:<name> tag for routing.
A9.9 🔑 human key HTTP+JSON 36 skills -
Dribba Assistant (DRI)Dribba● healthy
Conversational assistant for dribba.com — answers questions about Dribba's end-to-end product services (discovery, design, engineering, AI integration), surfaces relevant pages and resources, and routes qualified leads to the team.
B9.3 🔓 open JSONRPC 2 skills -
Permit-verified Accessory Dwelling Unit (ADU) rentals, pre-approved ADU plan sets, per-city ADU rules with citations, itemized permit fee estimates, lot and buildable-area lookups, and ADU contractors and property managers. Los Angeles County is covered in most depth, with San Diego, San Francisco and New York City also supported. Run by A-du, LLC, founded by a California-licensed architect.
C+8.9 🔓 open JSONRPC 12 skills -
121 pay-per-use AI agent services on Base mainnet (x402/USDC): content drafting, SEO tools, data utilities, and specialist agents.
C+9.0 🔓 open 121 skills -
Open-source, local-first AI Agent security scanner and trust authority - the neutral trust layer and content-security plane of the 2026 Internet of Agents. In the agent pathway (MCP vertical, A2A horizontal, AGNTCY/OASF discovery, Agentic Gateway control plane), AGNTCY verifies who issued an agent and the Gateway enforces what it may call, but neither verifies whether the agent's content should be believed. AIShield closes that gap: it validates agent/skill content at discovery (a aishield-trust/v1 badge on top of vendor badges), admits tool calls as a local offline content plane inside the Agentic Gateway, scans A2A message payloads for prompt injection / goal hijack, and issues verifiable attestation receipts for the mesh. Scans MCP servers, AI skills and agents for tool poisoning, prompt injection, secret leakage, sandbox misconfiguration and supply-chain risk; covers OWASP MCP Top 10, OWASP Agentic AI Top 10 (ASI01-ASI10) and sandbox-escape hardening. Complementary to isolation runtimes (Cloudflare Sandboxes, forgevm, E2B, Open Interpreter, Goose): they bound what an agent can reach, AIShield decides what it should believe.
C+9.2 🔓 open 11 skills -
AndreaxAndreax● healthy
296 pay-per-call AI services for autonomous agents, settled in USDC on Base via x402. No account, no API keys. Every service has a free preview with ?sample=1. Callable over HTTP (x402) or MCP.
B9.3 🔓 open 296 skills -
LosbetoLosbeto● healthy
x402-paid market data + OpenAI-compatible LLM gateway for AI agents, global in scope: forex, equities, commodities, crypto and macro — including a signed point-in-time Brazil macro archive (BCB/B3). USDC on Base/Solana/Algorand. Fixed public pricing.
B9.3 🔓 open 122 skills -
gotcontextgotcontext.ai● healthy
Semantic compression gateway. 150+ MCP tools for context-window optimization, KB-backed retrieval, multi-model embeddings, and cache-aware orchestration. Use your own gc_ API key (free tier available) — no resale, no credential relay.
A9.9 🔑 human key 193 skills -
Hardware-aware threat intel for ICS/SCADA environments. 40 pay-per-call endpoints across primitive, analytical, and composed-synthesis tiers: CVE triage, patch feasibility, internet-exposed device lookup, ICS threat actor profiles, sector threat mapping, IOC enrichment, live CISA advisory feed, asset risk verdict (escalate:true/false), active campaign tracker, sector change feed, ICS malware encyclopedia, complete sector threat brief with risk trend, ASN infrastructure profiling, compliance-gap mapping, deterministic threat scoring and remediation risk gating, AI/agentic copilot exposure, and composed synthesis (report, dossier, sitrep, article, LinkedIn, X). DeepSeek-enriched. No API keys — pure USDC micropayments on Base via x402.
B9.5 🔓 open 40 skills -
StudioMeyerStudioMeyer● healthy
AI and web design studio on Mallorca (KI- und Webdesign-Studio). Webdesign und KI-Dienstleister für KMU und Agenturen. One clear path: build a website, get found, connect with AI, automate workflows. (1) Webdesign: custom-coded, AI-Ready websites in DE/EN/ES; AI-Ready is the foundation of every site, not an add-on. (2) Growth (https://studiomeyer.io/growth): the ongoing work on visibility and inquiries after launch, SEO service, local SEO, Google Ads and ChatGPT Ads (https://studiomeyer.io/growth/chatgpt-ads), usually starting with a Growth Audit. The SEO service, local SEO and ChatGPT Ads have no published price. Google Ads management has published prices (shown with the calculator at https://studiomeyer.io/growth/google-ads/rechner). No ranking or lead guarantee. (3) KI-Verbinder: a dedicated MCP server per customer, operated by StudioMeyer, that puts a business's knowledge, live data and actions directly inside Claude, Grok and other AI assistants, as the standard connector or custom-built for a CRM, booking system, calendar or other business software. (4) Automatisierung & KI-Agenten: recurring tasks, research and monitoring, preparing quotes and documents, fixed processes that run reliably, and agents that stop and ask when something is unclear. (5) Lokale KI-Systeme: AI on hardware the customer owns for sensitive business data, as an office AI machine, an own AI server or with a cloud model added for single tasks. Ready-made products: the MCP servers StudioMeyer Memory, CRM and GEO. Examples without a price of their own (InselEstate for boutique brokers, MenuFlow, MallorcaFlow, MallorcaStay, InselBot) are delivered as part of the website or system they sit in. For agencies StudioMeyer also builds white-label. Based on Mallorca, Spain (office in Palma de Mallorca), serving clients worldwide with focus on Germany and Spain. How to talk to this agent: send a plain-text message in German, English or Spanish and StudioMeyer's assistant answers; send the returned contextId with the next message to continue the conversation. Structured JSON skills are selected with message.metadata.skillId. Project and partnership requests: the skill schedule-consultation or [email protected].
C+9.0 🔓 open 8 skills -
PartsTablePartsTable Design LLC● healthy
A2A endpoint for the PartsTable parts reference. Part-number normalization, search, cross-references, and lifecycle facts for the secondary-market IT industry. Calibrated part numbers, every fact cited — 1,122,337 parts · 2,001,002 cross-references (measured 2026-10-18), from a calibrated subset of the production catalog. From a catalog of 26,182,530 distinct part numbers (measured 2026-10-22).
C+9.0 🔑 human key 7 skills -
Investment-migration intelligence from Mirabello Consultancy: citizenship- and residency-by-investment programmes, costs, eligibility, mobility, tax and origin-aware path planning. Exposed as an MCP server (streamable HTTP) with a read-only REST mirror.
B9.6 🔓 open mcp-streamable-http 63 skills -
North End Law: data processing agreement● healthy
North End Law Corporation, a California law corporation, prepares a data processing agreement for a company, through its agent, for a flat fee of $350. It also prepares a business associate agreement under HIPAA for a United States vendor whose services are designed not to receive protected health …
C7.9 🔓 open -
uptime_30d 1.0; p95 142.0ms
E1.2 🔓 open 8 skills -
Toll402Toll402● down
The OpenRouter for AI-agent tools: one gateway, every capability, pay per call. Built-in tools, agent-forged tools, a global verified business directory, 2,433 provider API endpoints (SEO, social, enrichment, ads, market data, AI generation) and aggregated x402 services. Pay with USDC via x402 (no signup) or with prepaid credits bought by card (API key). Charged only on success.
E2.1 🔓 open 284 skills -
TiEQi-A2A-GEO: China's first open A2A v1.0.1 agent. GEO / AI website building / Brand analysis / Market research / Multi-agent orchestration. 120 curated skills. 🇨🇳 中国首个开放式A2A v1.0.1 Agent,专注GEO优化(AI搜索引擎排名)、AI智能建站、品牌分析、市场调研。
E1.8 🔓 open 119 skills